# Generated by Django 2.2.5 on 2019-09-09 16:54
import hashlib

from django.db import migrations, models


def add_file_hash(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    File = apps.get_model('data_sources_tracking', 'File')

    all_files = File.objects.using(db_alias).all()

    for file in all_files:
        file.hash = hashlib.md5(
            '|'.join(list(map(str, [file.name, file.path]))).encode('utf-8')
        ).hexdigest()
        file.save()


class Migration(migrations.Migration):

    dependencies = [
        ('data_sources_tracking', '0005_add_support_for_excel_types'),
    ]

    operations = [
        migrations.AddField(
            model_name='file',
            name='content',
            field=models.FileField(blank=True, max_length=255, upload_to='uploads/'),
        ),
        migrations.AddField(
            model_name='file',
            name='hash',
            field=models.CharField(default='hash', max_length=255),
        ),
        migrations.AlterUniqueTogether(
            name='file',
            unique_together=set(),
        ),
        migrations.RunPython(add_file_hash),
        migrations.AlterField(
            model_name='file',
            name='hash',
            field=models.CharField(default='hash', max_length=255, unique=True),
            preserve_default=True,
        )
    ]
